@font-face {
	font-family: 'local noto sans jp';
	src: local('noto sans jp');
}

.micron-interview-items {
	margin-block: 0;
	padding-block: 16px;
	padding-inline-start: 0;
	display: grid;
	gap: 24px;
	list-style-type: '';
}

.micron-interview-items > li {
	padding-block: 16px;
}

.micron-interview-items > li > a {
	display: flex;
	flex-direction: column;
	height: 100%;
	color: #333;
	background-color: #fff;
}

.micron-interview-items > li > a .micron-interview-item-image {
	position: relative;
	z-index: 1;
}

.micron-interview-items > li > a .micron-interview-item-image > img {
	position: relative;
	z-index: 1;
}

.micron-interview-items > li > a .micron-interview-item-image::after {
	content: '';
	position: absolute;
	inset: 0;
	z-index: 1;
	background-color: #fff;
	opacity: 0;
	transition: opacity 300ms ease;
}

.micron-interview-items > li > a .micron-interview-item-content {
	flex-grow: 1;
	padding: 24px;
	display: flex;
	flex-direction: column;
	position: relative;
	z-index: 1;
}

.micron-interview-items > li > a .micron-interview-item-content::after {
	content: '';
	position: absolute;
	top: calc(24px + 0.5lh);
	right: 24px;
	z-index: 1;
	width: 24px;
	height: 24px;
	background-color: #333;
	-webkit-mask-image: url(../images/icon/arrow-circle.svg);
	mask-image: url(../images/icon/arrow-circle.svg);
	-webkit-mask-size: 24px 24px;
	mask-size: 24px 24px;
	-webkit-mask-position: center;
	mask-position: center;
	-webkit-mask-repeat: no-repeat;
	mask-repeat: no-repeat;
	transform: translateY(-50%);
	transition: right 300ms ease;
}

.micron-interview-items > li > a .micron-interview-item-content .micron-interview-item-title {
	padding-inline-end: 48px;
	display: -webkit-box;
	-webkit-box-orient: vertical;
	-webkit-line-clamp: 3;
	line-height: 1.3888888889;
	font-weight: 700;
	font-size: 1.125rem;
	text-overflow: ellipsis;
	overflow: hidden;
}

.micron-interview-items > li > a .micron-interview-item-content .micron-interview-item-data {
	margin-block-start: auto;
	padding-block-start: 24px;
	display: grid;
	row-gap: 8px;
}

.micron-interview-items > li > a .micron-interview-item-content .micron-interview-item-data p {
	padding-block: 0;
	line-height: 1.5714285714;
	font-size: 0.875rem;
}

.micron-interview-items > li > a:hover,
.micron-interview-items > li > a:active,
.micron-interview-items > li > a:focus-visible {
	color: #005baa;
}

.micron-interview-items > li > a:hover .micron-interview-item-image::after,
.micron-interview-items > li > a:active .micron-interview-item-image::after,
.micron-interview-items > li > a:focus-visible .micron-interview-item-image::after {
	opacity: 0.2;
}

.micron-interview-items > li > a:hover .micron-interview-item-content::after,
.micron-interview-items > li > a:active .micron-interview-item-content::after,
.micron-interview-items > li > a:focus-visible .micron-interview-item-content::after {
	right: 16px;
}

.micron-footer {
	padding-block-start: 0;
}

@media screen and (min-width: 769px) {

	.micron-interview-items {
		grid-template-columns: repeat(3, 1fr);
	}
}

@media print {

	.micron-interview-items {
		grid-template-columns: repeat(3, 1fr);
	}
}
